2018/09/20

App MEO Remote queixa-se do Android 9


Não é só o iOS 12 que está a provocar dores de cabeça a alguns developers nacionais, também a MEO parece estar com dificuldade em fazer com que a sua app MEO Remote funcione nas versões mais recentes do Android.

A MEO actualizou a sua app MEO Remote, que finalmente parece adoptar um design mais moderno (o seu aspecto "arcaico" era uma das coisas mais frequentemente criticadas pelos utilizadores) - mas infelizmente para os utilizadores com versões mais recentes do Android, será algo que será acompanhado por um estranho aviso. Ao arrancarem a app serão confrontados com um popup que indica que a app foi concebida para versões mais antigas do Android e que poderá não funcionar correctamente, sugerindo que se procure uma actualização ou se contacte o developer da app.

Ora, se por um lado se pode argumentar que o Android 9 Pie ainda é uma raridade entre os smartphones Android, por outro lado não deixa de ser criticável que uma actualização lançada nesta altura ainda não esteja preparada para funcionar correctamente na mais recente versão deste sistema...


... Bem, infelizmente este não tem sido caso único. Temos muitas mais apps de diversos operadores nacionais que ficaram paradas no tempo e parecem estar a funcionar em modo de completo abandono, arriscando-se a deixar de funcionar a qualquer momento sem qualquer aviso prévio (a app m.Ticket da NOS há muito que desapareceu - embora continue a ser anunciada a cada início de sessão nos cinemas NOS; o Sapo Cinema é uma lotaria, muitas vezes nem sequer apresentando os cartazes dos filmes..) Enfim, para ser assim mais valia limitarem-se a redireccionar para um site web mobile. ;P


Actualização: Ao que parece terá sido culpa das actualizações faseadas. Embora a página da Play Store indicasse a data da actualização correcta, os utilizadores estavam ainda a ser direccionados para o APK antigo. A versão realmente actualizada já é compatível com Android 9 sem problemas.

[nova versão do MEO Remote]

3 comentários:

  1. Essa mensagem também me apareceu, mas é relativa à versão antiga (2.2.10)...
    Devem estar a fazer um rollout faseado e tal como eu ainda não deves ter a nova versão que é a versão 3.0.0

    ResponderEliminar
  2. Confirmo que a nova versão funciona perfeitamente no Android 9.
    E basta ver a imagem que a versão é a antiga e não a nova

    ResponderEliminar
  3. Pior que isso é o Anda para os transportes do Porto, não é compatível com Pie e precisaram de uma semana para perceber que era esse o meu problema, entretanto duas semanas passaram e update nada.. Enfim.

    ResponderEliminar

[pub]